Liblinphone: linphone::ChatRoomParams Class Reference

Liblinphone 5.3.0

Public Member Functions | List of all members
linphone::ChatRoomParams Class Reference

Object defining parameters for a ChatRoom. More...

`#include <chat_room_params.hh>`

Inheritance diagram for linphone::ChatRoomParams:

## Public Member Functions
LINPHONECXX_PUBLIC | ChatRoomParams (void *ptr, bool takeRef=true)
LINPHONECXX_PUBLIC _LinphoneChatRoomParams * | cPtr ()
LINPHONECXX_PUBLIC linphone::ChatRoom::Backend | getBackend () const
| Get the backend implementation of the chat room associated with the given parameters.
LINPHONECXX_PUBLIC void | setBackend (linphone::ChatRoom::Backend backend)
| Set the backend implementation of these chat room parameters.
LINPHONECXX_PUBLIC linphone::ChatRoom::EncryptionBackend | getEncryptionBackend () const
| Get the encryption implementation of the chat room associated with the given parameters.
LINPHONECXX_PUBLIC void | setEncryptionBackend (linphone::ChatRoom::EncryptionBackend backend)
| Set the encryption backend implementation of these chat room parameters.
LINPHONECXX_PUBLIC bool | encryptionEnabled () const
| Get the encryption status of the chat room associated with the given parameters.
LINPHONECXX_PUBLIC void | enableEncryption (bool encrypted)
| Enables or disables encryption for the chat room associated with the given parameters.
LINPHONECXX_PUBLIC long | getEphemeralLifetime () const
| Get lifetime (in seconds) for all new ephemeral messages in the chat room.
LINPHONECXX_PUBLIC void | setEphemeralLifetime (long time)
| Set lifetime (in seconds) for all new ephemral messages in the chat room.
LINPHONECXX_PUBLIC linphone::ChatRoom::EphemeralMode | getEphemeralMode () const
| Get the ephemeral message mode of the chat room associated with the given parameters.
LINPHONECXX_PUBLIC void | setEphemeralMode (linphone::ChatRoom::EphemeralMode mode)
| Enables or disables forcing of ephemeral messages for the chat room associated with the given parameters.
LINPHONECXX_PUBLIC bool | groupEnabled () const
| Get the group chat status of the chat room associated with the given parameters.
LINPHONECXX_PUBLIC void | enableGroup (bool group)
| Enables or disables group chat for the chat room associated with the given parameters.
LINPHONECXX_PUBLIC bool | isValid () const
| Returns whether the given parameters are valid or not.
LINPHONECXX_PUBLIC bool | rttEnabled () const
| Get the real time text status of the chat room associated with the given parameters.
LINPHONECXX_PUBLIC void | enableRtt (bool rtt)
| Enables or disables real time text for the chat room associated with the given parameters.
LINPHONECXX_PUBLIC std::string | getSubject () const
| Get the subject of the chat room.
LINPHONECXX_PUBLIC void | setSubject (const std::string &subject)
| Set the subject of the chat room.

## Detailed Description

Object defining parameters for a ChatRoom.

Can be created with Core::createDefaultChatRoomParams(). You can use isValid() to check if your configuration is valid or not. If the ChatRoom backend is ChatRoom::Backend::Basic, then no other parameter is required, but ChatMessage sent and received won't benefit from all features a ChatRoom::Backend::FlexisipChat can offer like conversation with multiple participants and a subject, end-to-end encryption, ephemeral messages, etc... but this type is the only one that can interoperate with other SIP clients or with non-flexisip SIP proxies.

## Member Function Documentation

## ◆ enableEncryption()

LINPHONECXX_PUBLIC void linphone::ChatRoomParams::enableEncryption | ( | bool | encrypted | ) |

Enables or disables encryption for the chat room associated with the given parameters.

Parameters

  encrypted | true to enable encryption, false to disable.

## ◆ enableGroup()

LINPHONECXX_PUBLIC void linphone::ChatRoomParams::enableGroup | ( | bool | group | ) |

Enables or disables group chat for the chat room associated with the given parameters.

Parameters

  group | true to enable group chat, false to disable (resulting in one-to-one chat room)

## ◆ enableRtt()

LINPHONECXX_PUBLIC void linphone::ChatRoomParams::enableRtt | ( | bool | rtt | ) |

Enables or disables real time text for the chat room associated with the given parameters.

Parameters

  rtt | true to enable real time text, false to disable.

## ◆ encryptionEnabled()

LINPHONECXX_PUBLIC bool linphone::ChatRoomParams::encryptionEnabled | ( |  | ) | const

Get the encryption status of the chat room associated with the given parameters.

Returns
  true if encryption is enabled, false otherwise

## ◆ getBackend()

LINPHONECXX_PUBLIC linphone::ChatRoom::Backend linphone::ChatRoomParams::getBackend | ( |  | ) | const

Get the backend implementation of the chat room associated with the given parameters.

Returns
  the ChatRoom::Backend

## ◆ getEncryptionBackend()

LINPHONECXX_PUBLIC linphone::ChatRoom::EncryptionBackend linphone::ChatRoomParams::getEncryptionBackend | ( |  | ) | const

Get the encryption implementation of the chat room associated with the given parameters.

Returns
  the ChatRoom::EncryptionBackend

## ◆ getEphemeralLifetime()

LINPHONECXX_PUBLIC long linphone::ChatRoomParams::getEphemeralLifetime | ( |  | ) | const

Get lifetime (in seconds) for all new ephemeral messages in the chat room.

After the message is read, it will be deleted after "time" seconds.

See also
  linphone_chat_room_params_ephemeral_enabled()

Returns
  the ephemeral lifetime (in seconds)

## ◆ getEphemeralMode()

LINPHONECXX_PUBLIC linphone::ChatRoom::EphemeralMode linphone::ChatRoomParams::getEphemeralMode | ( |  | ) | const

Get the ephemeral message mode of the chat room associated with the given parameters.

Returns
  the ephemeral message mode ChatRoom::EphemeralMode

## ◆ getSubject()

LINPHONECXX_PUBLIC std::string linphone::ChatRoomParams::getSubject | ( |  | ) | const

Get the subject of the chat room.

Returns
  The subject.

## ◆ groupEnabled()

LINPHONECXX_PUBLIC bool linphone::ChatRoomParams::groupEnabled | ( |  | ) | const

Get the group chat status of the chat room associated with the given parameters.

Returns
  true if group chat is enabled, false if one-to-one

## ◆ isValid()

LINPHONECXX_PUBLIC bool linphone::ChatRoomParams::isValid | ( |  | ) | const

Returns whether the given parameters are valid or not.

Returns
  true if the given parameters are valid, false otherwise

## ◆ rttEnabled()

LINPHONECXX_PUBLIC bool linphone::ChatRoomParams::rttEnabled | ( |  | ) | const

Get the real time text status of the chat room associated with the given parameters.

Returns
  true if real time text is enabled, false otherwise

## ◆ setBackend()

LINPHONECXX_PUBLIC void linphone::ChatRoomParams::setBackend | ( | linphone::ChatRoom::Backend | backend | ) |

Set the backend implementation of these chat room parameters.

Parameters

  backend | The ChatRoom::Backend enum value

## ◆ setEncryptionBackend()

LINPHONECXX_PUBLIC void linphone::ChatRoomParams::setEncryptionBackend | ( | linphone::ChatRoom::EncryptionBackend | backend | ) |

Set the encryption backend implementation of these chat room parameters.

Parameters

  backend | The ChatRoom::EncryptionBackend enum value

## ◆ setEphemeralLifetime()

LINPHONECXX_PUBLIC void linphone::ChatRoomParams::setEphemeralLifetime | ( | long | time | ) |

Set lifetime (in seconds) for all new ephemral messages in the chat room.

After the message is read, it will be deleted after "time" seconds.

See also
  linphone_chat_room_params_ephemeral_enabled()

Parameters

  time | The ephemeral lifetime, default is disabled (0)

## ◆ setEphemeralMode()

LINPHONECXX_PUBLIC void linphone::ChatRoomParams::setEphemeralMode | ( | linphone::ChatRoom::EphemeralMode | mode | ) |

Enables or disables forcing of ephemeral messages for the chat room associated with the given parameters.

Parameters

  mode | Ephemeral message mode ChatRoom::EphemeralMode.

## ◆ setSubject()

LINPHONECXX_PUBLIC void linphone::ChatRoomParams::setSubject | ( | const std::string & | subject | ) |

Set the subject of the chat room.

Parameters

  subject | The subject to set.

The documentation for this class was generated from the following file:

- chat_room_params.hh